[SciPy-dev] NumPy/SciPy test results, x86 and PPC

Darren Dale dd55 at cornell.edu
Tue Jan 10 10:43:55 CST 2006


On Friday 06 January 2006 08:52, Darren Dale wrote:
> I have some failures to report this morning, after updating to version
> 0.9.3.1842 on an AMD-64. I dont know how to force scipy to use fftw-2 with
> the new code in distutils.system_info, but based on previous experience I
> believe these failures are unique to fftw-3.

I have observed these fftw-3 errors on both AMD64 and x86 architectures now.

I temporarily removed fftw-3 from my system, and can confirm that all tests 
pass when scipy is built using fftw-2. Unfortunately, I have other programs 
that require fftw-3, so this wont do as a workaround.

Has anyone successfully built and tested the scipy-0.4.4 with fftw-3? Does 
anyone know how to tell scipy which fftw version to use, or is anyone working 
on the fftw-3 problems? If not, maybe fftw-3 support should be masked for the 
time being.

Thanks,
Darren




More information about the Scipy-dev mailing list